Show / Hide Table of Contents

# Struct ActionManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.Game

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ActionManager

### Fields

| Improve this Doc View Source

#### BlueMageActions

##### Declaration

    public uint *BlueMageActions

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### Combo

##### Declaration

    public ComboDetail Combo

##### Field Value

Type | Description
--- | ---
ComboDetail |

### Methods

| Improve this Doc View Source

#### AssignBlueMageActionToSlot(Int32, UInt32)

##### Declaration

    public void AssignBlueMageActionToSlot(int slot, uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | slot |
System.UInt32 | actionId |

| Improve this Doc View Source

#### CheckActionResources(ActionType, UInt32, Void*)

##### Declaration

    public uint CheckActionResources(ActionType actionType, uint actionId, void *actionData = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |
System.Void* | actionData |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActionCost(ActionType, UInt32, Byte, Byte, Byte, Byte)

##### Declaration

    public static int GetActionCost(ActionType actionType, uint actionId, byte a3, byte a4, byte a5, byte a6)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionId |
System.Byte | a3 |
System.Byte | a4 |
System.Byte | a5 |
System.Byte | a6 |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetActionInRangeOrLoS(UInt32, GameObject*, GameObject*)

##### Declaration

    public static uint GetActionInRangeOrLoS(uint actionId, GameObject*sourceObject, GameObject*targetObject)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |
GameObject* | sourceObject |
GameObject* | targetObject |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActionRange(UInt32)

##### Declaration

    public static float GetActionRange(uint actionId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetActionStatus(ActionType, UInt32, Int64, Boolean, Boolean, UInt32*)

##### Declaration

    public uint GetActionStatus(ActionType actionType, uint actionID, long targetID = 3758096384L, bool checkRecastActive = true, bool checkCastingActive = true, uint *outOptExtraInfo = default(uint *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Int64 | targetID |
System.Boolean | checkRecastActive |
System.Boolean | checkCastingActive |
System.UInt32* | outOptExtraInfo |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetActiveBlueMageActionInSlot(Int32)

##### Declaration

    public uint GetActiveBlueMageActionInSlot(int slot)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | slot |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedActionId(UInt32)

##### Declaration

    public uint GetAdjustedActionId(uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### GetAdjustedCastTime(ActionType, UInt32, Byte, Byte*)

##### Declaration

    public static int GetAdjustedCastTime(ActionType actionType, uint actionID, byte a3 = 1, byte *a4 = default(byte *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |
System.Byte* | a4 |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetAdjustedRecastTime(ActionType, UInt32, Byte)

##### Declaration

    public static int GetAdjustedRecastTime(ActionType actionType, uint actionID, byte a3 = 1)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Byte | a3 |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetMaxCharges(UInt32, UInt32)

##### Declaration

    public static ushort GetMaxCharges(uint actionId, uint level)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | actionId |
System.UInt32 | level |

##### Returns

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### GetRecastGroup(Int32, UInt32)

##### Declaration

    public int GetRecastGroup(int type, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | type |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GetRecastGroupDetail(Int32)

##### Declaration

    public RecastDetail*GetRecastGroupDetail(int recastGroup)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | recastGroup |

##### Returns

Type | Description
--- | ---
RecastDetail* |

| Improve this Doc View Source

#### GetRecastTime(ActionType, UInt32)

##### Declaration

    public float GetRecastTime(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GetRecastTimeElapsed(ActionType, UInt32)

##### Declaration

    public float GetRecastTimeElapsed(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static ActionManager*Instance()

##### Returns

Type | Description
--- | ---
ActionManager* |

| Improve this Doc View Source

#### IsRecastTimerActive(ActionType, UInt32)

##### Declaration

    public bool IsRecastTimerActive(ActionType actionType, uint actionID)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SetBlueMageActions(UInt32*)

##### Declaration

    public bool SetBlueMageActions(uint *actionArray)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32* | actionArray |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### SwapBlueMageActionSlots(Int32, Int32)

##### Declaration

    public void SwapBlueMageActionSlots(int slotA, int slotB)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | slotA |
System.Int32 | slotB |

| Improve this Doc View Source

#### UseAction(ActionType, UInt32, Int64, UInt32, UInt32, UInt32, Void*)

##### Declaration

    public bool UseAction(ActionType actionType, uint actionID, long targetID = 3758096384L, uint a4 = 0U, uint a5 = 0U, uint a6 = 0U, void *a7 = default(void *))

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Int64 | targetID |
System.UInt32 | a4 |
System.UInt32 | a5 |
System.UInt32 | a6 |
System.Void* | a7 |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### UseActionLocation(ActionType, UInt32, Int64, Vector3*, UInt32)

##### Declaration

    public bool UseActionLocation(ActionType actionType, uint actionID, long targetID = 3758096384L, Vector3*location = default(Vector3*), uint a4 = 0U)

##### Parameters

Type | Name | Description
--- | --- | ---
ActionType | actionType |
System.UInt32 | actionID |
System.Int64 | targetID |
Vector3* | location |
System.UInt32 | a4 |

##### Returns

Type | Description
--- | ---
System.Boolean |